Bug 1593737 - OpenJDK not read jssecacerts file [rhel-7.5.z]
Summary: OpenJDK not read jssecacerts file [rhel-7.5.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: OpenJDK QA
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1567204
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-21 13:32 UTC by Oneata Mircea Teodor
Modified: 2018-07-23 15:04 UTC (History)
10 users (show)

(edit)
OpenJDK was recently updated to support reading the system certificate authority /etc/pki/java/cacerts database directly. As a consequence, this removed the ability to read certificates from the user-provided /usr/lib/jvm/<NVRA-of-JDK>/jre/lib/security/jssecacert file. With this update, that ability is restored by reading from that file first, if available.
Clone Of: 1567204
(edit)
Last Closed: 2018-07-23 15:04:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
openjdk bug system JDK-8129988 None None None 2018-06-21 13:32 UTC
Red Hat Product Errata RHSA-2018:2242 None None None 2018-07-23 15:04 UTC
Icedtea Bugzilla 2888 None None None 2018-06-21 13:32 UTC
Icedtea Bugzilla 3575 None None None 2018-06-21 13:32 UTC

Description Oneata Mircea Teodor 2018-06-21 13:32:13 UTC
This bug has been copied from bug #1567204 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 4 zzambers 2018-07-02 13:12:30 UTC
manually tested in rhel-7.5 VM using reproducer from original bug:

version: java-1.8.0-openjdk-1.8.0.181-1.b04.el7_5.x86_64
result: PASSED

Comment 8 errata-xmlrpc 2018-07-23 15:04:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2242


Note You need to log in before you can comment on or make changes to this bug.